<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.756.5.30.1.127.10.3.12
Name: Laborbefund Section (lrtp)
Description: Ein Laborbefund MUSS nach der Vorlage von IHE XD-LAB mindestens ein Kapitel (CDA Body Section) mit den eigentlichen Laborresultaten enthalten. Für Laborbefunde im Transplantationsprozess MUSS dieses wie nachfolgend beschrieben ausgefüllt werden. Die Laborwerte für den Transplantationsprozess fallen in unterschiedliche Befundgruppen. Dieses Kapitel KANN demzufolge mehrfach vorkommen (mit dem jeweils passenden Code für die Laborbefundgruppe zu den eigentlichen Laborresultaten im Kapitel).
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.756.5.30.1.127.10.3.12-2016-07-02T000000">
   <title>Laborbefund Section (lrtp)</title>
   <!--
Template derived rules for ID: 2.16.756.5.30.1.127.10.3.12
Context: *[hl7:section[hl7:templateId[@root = '2.16.756.5.30.1.127.10.3.12'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.3.2.1']]]
Item: (Laborbefundsectionlrtp)
-->

   <!--
Template derived rules for ID: 2.16.756.5.30.1.127.10.3.12
Context: *[hl7:section[hl7:templateId[@root = '2.16.756.5.30.1.127.10.3.12'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.3.2.1']]]/hl7:section[hl7:templateId[@root = '2.16.756.5.30.1.127.10.3.12'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.3.2.1']]
Item: (Laborbefundsectionlrtp)
-->

   <rule context="*[hl7:section[hl7:templateId[@root = '2.16.756.5.30.1.127.10.3.12'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.3.2.1']]]/hl7:section[hl7:templateId[@root = '2.16.756.5.30.1.127.10.3.12'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.3.2.1']]"
         id="d19e4155-false-d31961e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachlrtp-html-20180709T094947/tmp-2.16.756.5.30.1.127.10.3.12-2016-07-02T000000.html"
              test="count(hl7:templateId[@root = '2.16.756.5.30.1.127.10.3.12']) &gt;= 1">(Laborbefundsectionlrtp): element hl7:templateId[@root = '2.16.756.5.30.1.127.10.3.12'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachlrtp-html-20180709T094947/tmp-2.16.756.5.30.1.127.10.3.12-2016-07-02T000000.html"
              test="count(hl7:templateId[@root = '2.16.756.5.30.1.127.10.3.12']) &lt;= 1">(Laborbefundsectionlrtp): element hl7:templateId[@root = '2.16.756.5.30.1.127.10.3.12'] appears too often [max 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachlrtp-html-20180709T094947/tmp-2.16.756.5.30.1.127.10.3.12-2016-07-02T000000.html"
              test="count(hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.3.2.1']) &gt;= 1">(Laborbefundsectionlrtp): element hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.3.2.1'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachlrtp-html-20180709T094947/tmp-2.16.756.5.30.1.127.10.3.12-2016-07-02T000000.html"
              test="count(hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.3.2.1']) &lt;= 1">(Laborbefundsectionlrtp): element hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.3.2.1'] appears too often [max 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachlrtp-html-20180709T094947/tmp-2.16.756.5.30.1.127.10.3.12-2016-07-02T000000.html"
              test="count(hl7:code[concat(@code, @codeSystem) = doc('include/voc-2.16.756.5.30.1.129.1.1.7-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem)]) &gt;= 1">(Laborbefundsectionlrtp): element hl7:code[concat(@code, @codeSystem) = doc('include/voc-2.16.756.5.30.1.129.1.1.7-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem)] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachlrtp-html-20180709T094947/tmp-2.16.756.5.30.1.127.10.3.12-2016-07-02T000000.html"
              test="count(hl7:code[concat(@code, @codeSystem) = doc('include/voc-2.16.756.5.30.1.129.1.1.7-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem)]) &lt;= 1">(Laborbefundsectionlrtp): element hl7:code[concat(@code, @codeSystem) = doc('include/voc-2.16.756.5.30.1.129.1.1.7-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem)] appears too often [max 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachlrtp-html-20180709T094947/tmp-2.16.756.5.30.1.127.10.3.12-2016-07-02T000000.html"
              test="count(hl7:title[not(@nullFlavor)]) &gt;= 1">(Laborbefundsectionlrtp): element hl7:title[not(@nullFlavor)] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachlrtp-html-20180709T094947/tmp-2.16.756.5.30.1.127.10.3.12-2016-07-02T000000.html"
              test="count(hl7:title[not(@nullFlavor)]) &lt;= 1">(Laborbefundsectionlrtp): element hl7:title[not(@nullFlavor)] appears too often [max 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachlrtp-html-20180709T094947/tmp-2.16.756.5.30.1.127.10.3.12-2016-07-02T000000.html"
              test="count(hl7:text[not(@nullFlavor)]) &gt;= 1">(Laborbefundsectionlrtp): element hl7:text[not(@nullFlavor)] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachlrtp-html-20180709T094947/tmp-2.16.756.5.30.1.127.10.3.12-2016-07-02T000000.html"
              test="count(hl7:text[not(@nullFlavor)]) &lt;= 1">(Laborbefundsectionlrtp): element hl7:text[not(@nullFlavor)] appears too often [max 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachlrtp-html-20180709T094947/tmp-2.16.756.5.30.1.127.10.3.12-2016-07-02T000000.html"
              test="count(hl7:entry[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.1']]) &gt;= 1">(Laborbefundsectionlrtp): element hl7:entry[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.1']] is required [min 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.756.5.30.1.127.10.3.12
Context: *[hl7:section[hl7:templateId[@root = '2.16.756.5.30.1.127.10.3.12'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.3.2.1']]]/hl7:section[hl7:templateId[@root = '2.16.756.5.30.1.127.10.3.12'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.3.2.1']]/hl7:templateId[@root = '2.16.756.5.30.1.127.10.3.12']
Item: (Laborbefundsectionlrtp)
-->

   <rule context="*[hl7:section[hl7:templateId[@root = '2.16.756.5.30.1.127.10.3.12'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.3.2.1']]]/hl7:section[hl7:templateId[@root = '2.16.756.5.30.1.127.10.3.12'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.3.2.1']]/hl7:templateId[@root = '2.16.756.5.30.1.127.10.3.12']"
         id="d19e4157-false-d32060e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachlrtp-html-20180709T094947/tmp-2.16.756.5.30.1.127.10.3.12-2016-07-02T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Laborbefundsectionlrtp): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachlrtp-html-20180709T094947/tmp-2.16.756.5.30.1.127.10.3.12-2016-07-02T000000.html"
              test="string(@root) = ('2.16.756.5.30.1.127.10.3.12')">(Laborbefundsectionlrtp): The value for root SHALL be '2.16.756.5.30.1.127.10.3.12'. Found: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.756.5.30.1.127.10.3.12
Context: *[hl7:section[hl7:templateId[@root = '2.16.756.5.30.1.127.10.3.12'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.3.2.1']]]/hl7:section[hl7:templateId[@root = '2.16.756.5.30.1.127.10.3.12'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.3.2.1']]/hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.3.2.1']
Item: (Laborbefundsectionlrtp)
-->

   <rule context="*[hl7:section[hl7:templateId[@root = '2.16.756.5.30.1.127.10.3.12'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.3.2.1']]]/hl7:section[hl7:templateId[@root = '2.16.756.5.30.1.127.10.3.12'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.3.2.1']]/hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.3.2.1']"
         id="d19e4162-false-d32076e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachlrtp-html-20180709T094947/tmp-2.16.756.5.30.1.127.10.3.12-2016-07-02T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Laborbefundsectionlrtp): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachlrtp-html-20180709T094947/tmp-2.16.756.5.30.1.127.10.3.12-2016-07-02T000000.html"
              test="string(@root) = ('1.3.6.1.4.1.19376.1.3.3.2.1')">(Laborbefundsectionlrtp): The value for root SHALL be '1.3.6.1.4.1.19376.1.3.3.2.1'. Found: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.756.5.30.1.127.10.3.12
Context: *[hl7:section[hl7:templateId[@root = '2.16.756.5.30.1.127.10.3.12'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.3.2.1']]]/hl7:section[hl7:templateId[@root = '2.16.756.5.30.1.127.10.3.12'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.3.2.1']]/hl7:id
Item: (Laborbefundsectionlrtp)
-->

   <rule context="*[hl7:section[hl7:templateId[@root = '2.16.756.5.30.1.127.10.3.12'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.3.2.1']]]/hl7:section[hl7:templateId[@root = '2.16.756.5.30.1.127.10.3.12'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.3.2.1']]/hl7:id"
         id="d19e4167-false-d32091e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachlrtp-html-20180709T094947/tmp-2.16.756.5.30.1.127.10.3.12-2016-07-02T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Laborbefundsectionlrtp): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.756.5.30.1.127.10.3.12
Context: *[hl7:section[hl7:templateId[@root = '2.16.756.5.30.1.127.10.3.12'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.3.2.1']]]/hl7:section[hl7:templateId[@root = '2.16.756.5.30.1.127.10.3.12'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.3.2.1']]/hl7:code[concat(@code, @codeSystem) = doc('include/voc-2.16.756.5.30.1.129.1.1.7-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem)]
Item: (Laborbefundsectionlrtp)
-->

   <rule context="*[hl7:section[hl7:templateId[@root = '2.16.756.5.30.1.127.10.3.12'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.3.2.1']]]/hl7:section[hl7:templateId[@root = '2.16.756.5.30.1.127.10.3.12'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.3.2.1']]/hl7:code[concat(@code, @codeSystem) = doc('include/voc-2.16.756.5.30.1.129.1.1.7-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem)]"
         id="d19e4169-false-d32105e0">
      <extends rule="CE"/>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachlrtp-html-20180709T094947/tmp-2.16.756.5.30.1.127.10.3.12-2016-07-02T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Laborbefundsectionlrtp): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CE", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachlrtp-html-20180709T094947/tmp-2.16.756.5.30.1.127.10.3.12-2016-07-02T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.756.5.30.1.129.1.1.7-DYNAMIC.xml')//valueSet[1][conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]])">(Laborbefundsectionlrtp): The element value SHALL be one of '2.16.756.5.30.1.129.1.1.7 Laborbefundgruppe (DYNAMIC)'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.756.5.30.1.127.10.3.12
Context: *[hl7:section[hl7:templateId[@root = '2.16.756.5.30.1.127.10.3.12'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.3.2.1']]]/hl7:section[hl7:templateId[@root = '2.16.756.5.30.1.127.10.3.12'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.3.2.1']]/hl7:title[not(@nullFlavor)]
Item: (Laborbefundsectionlrtp)
-->

   <rule context="*[hl7:section[hl7:templateId[@root = '2.16.756.5.30.1.127.10.3.12'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.3.2.1']]]/hl7:section[hl7:templateId[@root = '2.16.756.5.30.1.127.10.3.12'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.3.2.1']]/hl7:title[not(@nullFlavor)]"
         id="d19e4177-false-d32127e0">
      <extends rule="ST"/>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachlrtp-html-20180709T094947/tmp-2.16.756.5.30.1.127.10.3.12-2016-07-02T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ST' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Laborbefundsectionlrtp): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:ST", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachlrtp-html-20180709T094947/tmp-2.16.756.5.30.1.127.10.3.12-2016-07-02T000000.html"
              test="text()='Laborbefund' or text()='Rapport de laboratoire' or text()='Rapporto di laboratorio' or text()='Laboratory Specialty Section'">(Laborbefundsectionlrtp): the element content of hl7:title[not(@nullFlavor)] SHALL be ''Laborbefund' or 'Rapport de laboratoire' or 'Rapporto di laboratorio' or 'Laboratory Specialty Section''. Found: "<value-of select="."/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.756.5.30.1.127.10.3.12
Context: *[hl7:section[hl7:templateId[@root = '2.16.756.5.30.1.127.10.3.12'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.3.2.1']]]/hl7:section[hl7:templateId[@root = '2.16.756.5.30.1.127.10.3.12'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.3.2.1']]/hl7:text[not(@nullFlavor)]
Item: (Laborbefundsectionlrtp)
-->

   <rule context="*[hl7:section[hl7:templateId[@root = '2.16.756.5.30.1.127.10.3.12'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.3.2.1']]]/hl7:section[hl7:templateId[@root = '2.16.756.5.30.1.127.10.3.12'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.3.2.1']]/hl7:text[not(@nullFlavor)]"
         id="d19e4193-false-d32151e0">
      <extends rule="SD.TEXT"/>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachlrtp-html-20180709T094947/tmp-2.16.756.5.30.1.127.10.3.12-2016-07-02T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='SD.TEXT' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Laborbefundsectionlrtp): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:SD.TEXT", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.756.5.30.1.127.10.3.12
Context: *[hl7:section[hl7:templateId[@root = '2.16.756.5.30.1.127.10.3.12'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.3.2.1']]]/hl7:section[hl7:templateId[@root = '2.16.756.5.30.1.127.10.3.12'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.3.2.1']]/hl7:entry[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.1']]
Item: (Laborbefundsectionlrtp)
-->
   <rule context="*[hl7:section[hl7:templateId[@root = '2.16.756.5.30.1.127.10.3.12'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.3.2.1']]]/hl7:section[hl7:templateId[@root = '2.16.756.5.30.1.127.10.3.12'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.3.2.1']]/hl7:entry[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.1']]">
      <extends rule="d32201e0-false-d32205e0"/>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachlrtp-html-20180709T094947/tmp-2.16.756.5.30.1.127.10.3.12-2016-07-02T000000.html"
              test="string(@typeCode) = ('DRIV')">(Laborbefundsectionlrtp): The value for typeCode SHALL be 'DRIV'. Found: "<value-of select="@typeCode"/>"</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachlrtp-html-20180709T094947/tmp-2.16.756.5.30.1.127.10.3.12-2016-07-02T000000.html"
              test="string(@contextConductionInd) = ('true') or not(@contextConductionInd)">(Laborbefundsectionlrtp): The value for contextConductionInd SHALL be 'true'. Found: "<value-of select="@contextConductionInd"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.756.5.30.1.127.10.4.30
Context: *[hl7:section[hl7:templateId[@root = '2.16.756.5.30.1.127.10.3.12'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.3.2.1']]]/hl7:section[hl7:templateId[@root = '2.16.756.5.30.1.127.10.3.12'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.3.2.1']]/hl7:entry[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.1']]
Item: (Befundgruppelrtp)
-->
   <rule id="d32201e0-false-d32205e0" abstract="true">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachlrtp-html-20180709T094947/tmp-2.16.756.5.30.1.127.10.4.30-2016-07-20T000000.html"
              test="count(hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.1']) &gt;= 1">(Befundgruppelrtp): element hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.1'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachlrtp-html-20180709T094947/tmp-2.16.756.5.30.1.127.10.4.30-2016-07-20T000000.html"
              test="count(hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.1']) &lt;= 1">(Befundgruppelrtp): element hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.1'] appears too often [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.756.5.30.1.127.10.4.30
Context: *[hl7:section[hl7:templateId[@root = '2.16.756.5.30.1.127.10.3.12'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.3.2.1']]]/hl7:section[hl7:templateId[@root = '2.16.756.5.30.1.127.10.3.12'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.3.2.1']]/hl7:entry[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.1']]/hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.1']
Item: (Befundgruppelrtp)
-->
   <rule context="*[hl7:section[hl7:templateId[@root = '2.16.756.5.30.1.127.10.3.12'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.3.2.1']]]/hl7:section[hl7:templateId[@root = '2.16.756.5.30.1.127.10.3.12'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.3.2.1']]/hl7:entry[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.1']]/hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.1']">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachlrtp-html-20180709T094947/tmp-2.16.756.5.30.1.127.10.4.30-2016-07-20T000000.html"
              test="string(@root) = ('1.3.6.1.4.1.19376.1.3.1')">(Befundgruppelrtp): The value for root SHALL be '1.3.6.1.4.1.19376.1.3.1'. Found: "<value-of select="@root"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.756.5.30.1.127.10.4.30
Context: *[hl7:section[hl7:templateId[@root = '2.16.756.5.30.1.127.10.3.12'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.3.2.1']]]/hl7:section[hl7:templateId[@root = '2.16.756.5.30.1.127.10.3.12'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.3.2.1']]/hl7:entry[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.1']]/hl7:act[hl7:templateId[@root = '2.16.756.5.30.1.127.10.4.30']]
Item: (Befundgruppelrtp)
-->
   <rule context="*[hl7:section[hl7:templateId[@root = '2.16.756.5.30.1.127.10.3.12'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.3.2.1']]]/hl7:section[hl7:templateId[@root = '2.16.756.5.30.1.127.10.3.12'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.3.2.1']]/hl7:entry[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.1']]/hl7:act[hl7:templateId[@root = '2.16.756.5.30.1.127.10.4.30']]">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachlrtp-html-20180709T094947/tmp-2.16.756.5.30.1.127.10.4.30-2016-07-20T000000.html"
              test="string(@classCode) = ('ACT')">(Befundgruppelrtp): The value for classCode SHALL be 'ACT'. Found: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachlrtp-html-20180709T094947/tmp-2.16.756.5.30.1.127.10.4.30-2016-07-20T000000.html"
              test="string(@moodCode) = ('EVN')">(Befundgruppelrtp): The value for moodCode SHALL be 'EVN'. Found: "<value-of select="@moodCode"/>"</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachlrtp-html-20180709T094947/tmp-2.16.756.5.30.1.127.10.4.30-2016-07-20T000000.html"
              test="count(hl7:templateId[@root = '2.16.756.5.30.1.127.10.4.30']) &gt;= 1">(Befundgruppelrtp): element hl7:templateId[@root = '2.16.756.5.30.1.127.10.4.30'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachlrtp-html-20180709T094947/tmp-2.16.756.5.30.1.127.10.4.30-2016-07-20T000000.html"
              test="count(hl7:templateId[@root = '2.16.756.5.30.1.127.10.4.30']) &lt;= 1">(Befundgruppelrtp): element hl7:templateId[@root = '2.16.756.5.30.1.127.10.4.30'] appears too often [max 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachlrtp-html-20180709T094947/tmp-2.16.756.5.30.1.127.10.4.30-2016-07-20T000000.html"
              test="count(hl7:code[concat(@code, @codeSystem) = doc('include/voc-2.16.756.5.30.1.129.1.1.7-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem)]) &gt;= 1">(Befundgruppelrtp): element hl7:code[concat(@code, @codeSystem) = doc('include/voc-2.16.756.5.30.1.129.1.1.7-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem)] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachlrtp-html-20180709T094947/tmp-2.16.756.5.30.1.127.10.4.30-2016-07-20T000000.html"
              test="count(hl7:code[concat(@code, @codeSystem) = doc('include/voc-2.16.756.5.30.1.129.1.1.7-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem)]) &lt;= 1">(Befundgruppelrtp): element hl7:code[concat(@code, @codeSystem) = doc('include/voc-2.16.756.5.30.1.129.1.1.7-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem)] appears too often [max 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachlrtp-html-20180709T094947/tmp-2.16.756.5.30.1.127.10.4.30-2016-07-20T000000.html"
              test="count(hl7:statusCode[@code = 'completed']) &gt;= 1">(Befundgruppelrtp): element hl7:statusCode[@code = 'completed'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachlrtp-html-20180709T094947/tmp-2.16.756.5.30.1.127.10.4.30-2016-07-20T000000.html"
              test="count(hl7:statusCode[@code = 'completed']) &lt;= 1">(Befundgruppelrtp): element hl7:statusCode[@code = 'completed'] appears too often [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.756.5.30.1.127.10.4.30
Context: *[hl7:section[hl7:templateId[@root = '2.16.756.5.30.1.127.10.3.12'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.3.2.1']]]/hl7:section[hl7:templateId[@root = '2.16.756.5.30.1.127.10.3.12'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.3.2.1']]/hl7:entry[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.1']]/hl7:act[hl7:templateId[@root = '2.16.756.5.30.1.127.10.4.30']]/hl7:templateId[@root = '2.16.756.5.30.1.127.10.4.30']
Item: (Befundgruppelrtp)
-->
   <rule context="*[hl7:section[hl7:templateId[@root = '2.16.756.5.30.1.127.10.3.12'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.3.2.1']]]/hl7:section[hl7:templateId[@root = '2.16.756.5.30.1.127.10.3.12'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.3.2.1']]/hl7:entry[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.1']]/hl7:act[hl7:templateId[@root = '2.16.756.5.30.1.127.10.4.30']]/hl7:templateId[@root = '2.16.756.5.30.1.127.10.4.30']">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachlrtp-html-20180709T094947/tmp-2.16.756.5.30.1.127.10.4.30-2016-07-20T000000.html"
              test="string(@root) = ('2.16.756.5.30.1.127.10.4.30')">(Befundgruppelrtp): The value for root SHALL be '2.16.756.5.30.1.127.10.4.30'. Found: "<value-of select="@root"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.756.5.30.1.127.10.4.30
Context: *[hl7:section[hl7:templateId[@root = '2.16.756.5.30.1.127.10.3.12'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.3.2.1']]]/hl7:section[hl7:templateId[@root = '2.16.756.5.30.1.127.10.3.12'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.3.2.1']]/hl7:entry[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.1']]/hl7:act[hl7:templateId[@root = '2.16.756.5.30.1.127.10.4.30']]/hl7:code[concat(@code, @codeSystem) = doc('include/voc-2.16.756.5.30.1.129.1.1.7-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem)]
Item: (Befundgruppelrtp)
-->
   <rule context="*[hl7:section[hl7:templateId[@root = '2.16.756.5.30.1.127.10.3.12'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.3.2.1']]]/hl7:section[hl7:templateId[@root = '2.16.756.5.30.1.127.10.3.12'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.3.2.1']]/hl7:entry[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.1']]/hl7:act[hl7:templateId[@root = '2.16.756.5.30.1.127.10.4.30']]/hl7:code[concat(@code, @codeSystem) = doc('include/voc-2.16.756.5.30.1.129.1.1.7-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem)]">
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachlrtp-html-20180709T094947/tmp-2.16.756.5.30.1.127.10.4.30-2016-07-20T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.756.5.30.1.129.1.1.7-DYNAMIC.xml')//valueSet[1][conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]])">(Befundgruppelrtp): The element value SHALL be one of '2.16.756.5.30.1.129.1.1.7 Laborbefundgruppe (DYNAMIC)'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.756.5.30.1.127.10.4.30
Context: *[hl7:section[hl7:templateId[@root = '2.16.756.5.30.1.127.10.3.12'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.3.2.1']]]/hl7:section[hl7:templateId[@root = '2.16.756.5.30.1.127.10.3.12'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.3.2.1']]/hl7:entry[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.1']]/hl7:act[hl7:templateId[@root = '2.16.756.5.30.1.127.10.4.30']]/hl7:statusCode[@code = 'completed']
Item: (Befundgruppelrtp)
-->
   <rule context="*[hl7:section[hl7:templateId[@root = '2.16.756.5.30.1.127.10.3.12'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.3.2.1']]]/hl7:section[hl7:templateId[@root = '2.16.756.5.30.1.127.10.3.12'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.3.2.1']]/hl7:entry[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.1']]/hl7:act[hl7:templateId[@root = '2.16.756.5.30.1.127.10.4.30']]/hl7:statusCode[@code = 'completed']">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachlrtp-html-20180709T094947/tmp-2.16.756.5.30.1.127.10.4.30-2016-07-20T000000.html"
              test="@nullFlavor or (@code='completed')">(Befundgruppelrtp): The element value SHALL be one of 'code 'completed''.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.756.5.30.1.127.10.4.30
Context: *[hl7:section[hl7:templateId[@root = '2.16.756.5.30.1.127.10.3.12'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.3.2.1']]]/hl7:section[hl7:templateId[@root = '2.16.756.5.30.1.127.10.3.12'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.3.2.1']]/hl7:entry[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.1']]/hl7:act[hl7:templateId[@root = '2.16.756.5.30.1.127.10.4.30']]/hl7:entryRelationship[hl7:procedure[hl7:templateId[@root = '2.16.756.5.30.1.127.10.4.34'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.1.2']]]
Item: (Befundgruppelrtp)
-->
   <rule context="*[hl7:section[hl7:templateId[@root = '2.16.756.5.30.1.127.10.3.12'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.3.2.1']]]/hl7:section[hl7:templateId[@root = '2.16.756.5.30.1.127.10.3.12'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.3.2.1']]/hl7:entry[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.1']]/hl7:act[hl7:templateId[@root = '2.16.756.5.30.1.127.10.4.30']]/hl7:entryRelationship[hl7:procedure[hl7:templateId[@root = '2.16.756.5.30.1.127.10.4.34'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.1.2']]]">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachlrtp-html-20180709T094947/tmp-2.16.756.5.30.1.127.10.4.30-2016-07-20T000000.html"
              test="string(@typeCode) = ('COMP')">(Befundgruppelrtp): The value for typeCode SHALL be 'COMP'. Found: "<value-of select="@typeCode"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.756.5.30.1.127.10.4.30
Context: *[hl7:section[hl7:templateId[@root = '2.16.756.5.30.1.127.10.3.12'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.3.2.1']]]/hl7:section[hl7:templateId[@root = '2.16.756.5.30.1.127.10.3.12'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.3.2.1']]/hl7:entry[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.1']]/hl7:act[hl7:templateId[@root = '2.16.756.5.30.1.127.10.4.30']]/hl7:entryRelationship[hl7:organizer[hl7:templateId[@root = '2.16.756.5.30.1.127.10.4.31'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.1.4']]]
Item: (Befundgruppelrtp)
-->
   <rule context="*[hl7:section[hl7:templateId[@root = '2.16.756.5.30.1.127.10.3.12'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.3.2.1']]]/hl7:section[hl7:templateId[@root = '2.16.756.5.30.1.127.10.3.12'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.3.2.1']]/hl7:entry[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.1']]/hl7:act[hl7:templateId[@root = '2.16.756.5.30.1.127.10.4.30']]/hl7:entryRelationship[hl7:organizer[hl7:templateId[@root = '2.16.756.5.30.1.127.10.4.31'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.1.4']]]">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachlrtp-html-20180709T094947/tmp-2.16.756.5.30.1.127.10.4.30-2016-07-20T000000.html"
              test="string(@typeCode) = ('COMP')">(Befundgruppelrtp): The value for typeCode SHALL be 'COMP'. Found: "<value-of select="@typeCode"/>"</assert>
   </rule>
</pattern>
