<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.756.5.30.1.127.10.4.32
Name: Laborresultat (lrtp)
Description: Ein Laborbefund im Transplantationsprozess MUSS mindestens ein Laborresultat enthalten, welches mit diesem Element deklariert wird. Jedes Laborresultat MUSS dabei aus einem Code und der Interpretation des Messresultates bestehen. Je nach Art des Resultates KANN ein Wert angegeben werden. 
                 Code 
                 Das BAG stellt eine Liste von LOINC Codes zur Verfügung, welche für Laborbefunde im Transplantationsprozess eingesetzt werden können (BAG Value Set). Sonderfälle stellen Erregernachweise, die HLA-Typisierung und der Nachweis von HLA-Antikörpern mittels Luminex dar: Gewisse Erregernachweise können mit LOINC nicht eindeutig gekennzeichnet werden. Solche Erregernachweise müssen in einer zweiten Observation im gleichen Laboratory Battery Organizer mit einem entsprechenden Code aus einem anderen Codesystem (z.B. SNOMED CT) präzisiert werden. Die HLA Typisierung erfolgt heute (2013) molekularbiologisch und zusätzlich teilweise auch serologisch. Die Bezeichnung der All
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.756.5.30.1.127.10.4.32-2016-07-20T000000">
   <title>Laborresultat (lrtp)</title>
   <!--
Template derived rules for ID: 2.16.756.5.30.1.127.10.4.32
Context: *[hl7:observation[hl7:templateId[@root = '2.16.756.5.30.1.127.10.4.32'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.1.6']]]
Item: (Laborresultatlrtp)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '2.16.756.5.30.1.127.10.4.32'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.1.6']]]"
         id="d19e4675-false-d34103e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachlrtp-html-20180709T094947/tmp-2.16.756.5.30.1.127.10.4.32-2016-07-20T000000.html"
              test="count(hl7:observation[hl7:templateId[@root = '2.16.756.5.30.1.127.10.4.32'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.1.6']]) &gt;= 1">(Laborresultatlrtp): element hl7:observation[hl7:templateId[@root = '2.16.756.5.30.1.127.10.4.32'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.1.6']] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachlrtp-html-20180709T094947/tmp-2.16.756.5.30.1.127.10.4.32-2016-07-20T000000.html"
              test="count(hl7:observation[hl7:templateId[@root = '2.16.756.5.30.1.127.10.4.32'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.1.6']]) &lt;= 1">(Laborresultatlrtp): element hl7:observation[hl7:templateId[@root = '2.16.756.5.30.1.127.10.4.32'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.1.6']] appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.756.5.30.1.127.10.4.32
Context: *[hl7:observation[hl7:templateId[@root = '2.16.756.5.30.1.127.10.4.32'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.1.6']]]/hl7:observation[hl7:templateId[@root = '2.16.756.5.30.1.127.10.4.32'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.1.6']]
Item: (Laborresultatlrtp)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '2.16.756.5.30.1.127.10.4.32'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.1.6']]]/hl7:observation[hl7:templateId[@root = '2.16.756.5.30.1.127.10.4.32'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.1.6']]"
         id="d19e4762-false-d34183e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachlrtp-html-20180709T094947/tmp-2.16.756.5.30.1.127.10.4.32-2016-07-20T000000.html"
              test="string(@classCode) = ('OBS')">(Laborresultatlrtp): The value for classCode SHALL be 'OBS'. Found: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachlrtp-html-20180709T094947/tmp-2.16.756.5.30.1.127.10.4.32-2016-07-20T000000.html"
              test="string(@moodCode) = ('EVN')">(Laborresultatlrtp): The value for moodCode SHALL be 'EVN'. Found: "<value-of select="@moodCode"/>"</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachlrtp-html-20180709T094947/tmp-2.16.756.5.30.1.127.10.4.32-2016-07-20T000000.html"
              test="count(hl7:templateId[@root = '2.16.756.5.30.1.127.10.4.32']) &gt;= 1">(Laborresultatlrtp): element hl7:templateId[@root = '2.16.756.5.30.1.127.10.4.32'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachlrtp-html-20180709T094947/tmp-2.16.756.5.30.1.127.10.4.32-2016-07-20T000000.html"
              test="count(hl7:templateId[@root = '2.16.756.5.30.1.127.10.4.32']) &lt;= 1">(Laborresultatlrtp): element hl7:templateId[@root = '2.16.756.5.30.1.127.10.4.32'] appears too often [max 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachlrtp-html-20180709T094947/tmp-2.16.756.5.30.1.127.10.4.32-2016-07-20T000000.html"
              test="count(hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.1.6']) &gt;= 1">(Laborresultatlrtp): element hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.1.6'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachlrtp-html-20180709T094947/tmp-2.16.756.5.30.1.127.10.4.32-2016-07-20T000000.html"
              test="count(hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.1.6']) &lt;= 1">(Laborresultatlrtp): element hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.1.6'] appears too often [max 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachlrtp-html-20180709T094947/tmp-2.16.756.5.30.1.127.10.4.32-2016-07-20T000000.html"
              test="count(hl7:id) &lt;= 1">(Laborresultatlrtp): element hl7:id appears too often [max 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachlrtp-html-20180709T094947/tmp-2.16.756.5.30.1.127.10.4.32-2016-07-20T000000.html"
              test="count(hl7:code[@codeSystem = doc('include/voc-2.16.756.5.30.1.129.1.1.3-DYNAMIC.xml')//valueSet[1]/completeCodeSystem/@codeSystem or @nullFlavor = doc('include/voc-2.16.756.5.30.1.129.1.1.3-DYNAMIC.xml')//valueSet[1]/conceptList/exception/@code or concat(@code, @codeSystem) = doc('include/voc-2.16.756.5.30.1.127.11.21-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem)]) &gt;= 1">(Laborresultatlrtp): element hl7:code[@codeSystem = doc('include/voc-2.16.756.5.30.1.129.1.1.3-DYNAMIC.xml')//valueSet[1]/completeCodeSystem/@codeSystem or @nullFlavor = doc('include/voc-2.16.756.5.30.1.129.1.1.3-DYNAMIC.xml')//valueSet[1]/conceptList/exception/@code or concat(@code, @codeSystem) = doc('include/voc-2.16.756.5.30.1.127.11.21-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem)] is required [min 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachlrtp-html-20180709T094947/tmp-2.16.756.5.30.1.127.10.4.32-2016-07-20T000000.html"
              test="count(hl7:code[@codeSystem = doc('include/voc-2.16.756.5.30.1.129.1.1.3-DYNAMIC.xml')//valueSet[1]/completeCodeSystem/@codeSystem or @nullFlavor = doc('include/voc-2.16.756.5.30.1.129.1.1.3-DYNAMIC.xml')//valueSet[1]/conceptList/exception/@code or concat(@code, @codeSystem) = doc('include/voc-2.16.756.5.30.1.127.11.21-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem)]) &lt;= 1">(Laborresultatlrtp): element hl7:code[@codeSystem = doc('include/voc-2.16.756.5.30.1.129.1.1.3-DYNAMIC.xml')//valueSet[1]/completeCodeSystem/@codeSystem or @nullFlavor = doc('include/voc-2.16.756.5.30.1.129.1.1.3-DYNAMIC.xml')//valueSet[1]/conceptList/exception/@code or concat(@code, @codeSystem) = doc('include/voc-2.16.756.5.30.1.127.11.21-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem)] appears too often [max 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachlrtp-html-20180709T094947/tmp-2.16.756.5.30.1.127.10.4.32-2016-07-20T000000.html"
              test="count(hl7:statusCode[@code = 'completed']) &gt;= 1">(Laborresultatlrtp): element hl7:statusCode[@code = 'completed'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachlrtp-html-20180709T094947/tmp-2.16.756.5.30.1.127.10.4.32-2016-07-20T000000.html"
              test="count(hl7:statusCode[@code = 'completed']) &lt;= 1">(Laborresultatlrtp): element hl7:statusCode[@code = 'completed'] appears too often [max 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachlrtp-html-20180709T094947/tmp-2.16.756.5.30.1.127.10.4.32-2016-07-20T000000.html"
              test="count(hl7:effectiveTime) = 0">(Laborresultatlrtp): element hl7:effectiveTime MAY NOT be present.</assert>
      <let name="elmcount"
           value="count(hl7:value[@xsi:type='PQ'] | hl7:value[@xsi:type='CD'] | hl7:value[@xsi:type='RTO'] | hl7:value[@xsi:type='INT'] | hl7:value[@xsi:type='ST'])"/>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachlrtp-html-20180709T094947/tmp-2.16.756.5.30.1.127.10.4.32-2016-07-20T000000.html"
              test="$elmcount &lt;= 1">(Laborresultatlrtp): choice (hl7:value[@xsi:type='PQ']  or  hl7:value[@xsi:type='CD']  or  hl7:value[@xsi:type='RTO']  or  hl7:value[@xsi:type='INT']  or  hl7:value[@xsi:type='ST']) contains too many elements [max 1x]</assert>
      <let name="ap"
           value="doc('include/cs-2.16.756.5.30.1.127.77.6.5.1-DYNAMIC.xml')"/>
      <let name="apunits" value="$ap//concept[property/code[@value='unit']]"/>
      <let name="apDataTypes"
           value="$ap//concept[property/code[@value='dataType']]"/>
      <let name="apObservationValuePresent"
           value="$ap//concept[property/code[@value='observationValuePresent']]"/>
      <let name="apInterpretationCodePOSNEGIND"
           value="$ap//concept[property/code[@value='interpretationCodePOSNEGIND']]"/>
      <let name="apsection"
           value="$ap//concept[property/code[@value='specialtySection']]"/>
      <let name="oc" value="hl7:code/@code"/>
      <let name="ovu" value="hl7:value/@unit"/>
      <let name="dc"
           value="$apunits[code/@value=$oc]/property[code/@value='unit']/valueCode/@value"/>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachlrtp-html-20180709T094947/tmp-2.16.756.5.30.1.127.10.4.32-2016-07-20T000000.html"
              test="string-length($ovu)=0 or count($apunits[code/@value=$oc])=0 or count($dc)=0 or $ovu=$dc">(Laborresultatlrtp): Observations with code <value-of select="$oc"/> shall have unit(s) <value-of select="$dc"/>.</assert>
      <let name="osectioncode" value="ancestor::hl7:section/hl7:code/@code"/>
      <let name="dc"
           value="$apsection[code/@value=$oc]/property[code/@value='specialtySection']/valueCode/@value"/>
      <let name="dn"
           value="$apsection[code/@value=$oc]/property[code/@value='specialtySectionName']/valueString/@value"/>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachlrtp-html-20180709T094947/tmp-2.16.756.5.30.1.127.10.4.32-2016-07-20T000000.html"
              test="string-length($osectioncode)=0 or string-length($dc)=0 or $osectioncode = $dc">(Laborresultatlrtp): Observations with code <value-of select="$oc"/> shall appear within a section with code <value-of select="$dc"/>
                <value-of select="$dn"/>, found <value-of select="$osectioncode"/>.</assert>
      <let name="apDataTypes"
           value="$ap//concept[property/code[@value='dataType']]"/>
      <let name="dtr"
           value="$apDataTypes[code/@value=$oc]/property[code/@value='dataType']/valueCode/@value"/>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachlrtp-html-20180709T094947/tmp-2.16.756.5.30.1.127.10.4.32-2016-07-20T000000.html"
              test="string-length($dtr)=0 or hl7:value[@xsi:type=$dtr]">(Laborresultatlrtp): Datatype of the value element (xsi:type) shall be <value-of select="$dtr"/>
            </assert>
      <let name="apObservationValuePresent"
           value="$ap//concept[property/code[@value='observationValuePresent']]"/>
      <let name="vpre"
           value="$apObservationValuePresent[code/@value=$oc]/property[code/@value='observationValuePresent']/valueBoolean/@value"/>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachlrtp-html-20180709T094947/tmp-2.16.756.5.30.1.127.10.4.32-2016-07-20T000000.html"
              test="string-length($vpre)=0 or $vpre='false' or hl7:value">(Laborresultatlrtp): Observations with code <value-of select="$oc"/> shall have a value element.</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachlrtp-html-20180709T094947/tmp-2.16.756.5.30.1.127.10.4.32-2016-07-20T000000.html"
              test="string-length($vpre)=0 or $vpre='true' or not(hl7:value)">(Laborresultatlrtp): Observations with code <value-of select="$oc"/> shall not have a value element.</assert>
      <let name="apInterpretationCodePOSNEGIND"
           value="$ap//concept[property/code[@value='interpretationCodePOSNEGIND']]"/>
      <let name="icd"
           value="$apInterpretationCodePOSNEGIND[code/@value=$oc]/property[code/@value='interpretationCodePOSNEGIND']/valueBoolean/@value"/>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachlrtp-html-20180709T094947/tmp-2.16.756.5.30.1.127.10.4.32-2016-07-20T000000.html"
              test="string-length($icd)=0 or $icd='false' or hl7:interpretationCode/@nullFlavor or hl7:interpretationCode/@code=('POS','NEG','IND')">(Laborresultatlrtp): Observations with code <value-of select="$oc"/> shall have a interpretationCode element that shall be valued with POS','NEG' or 'IND'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.756.5.30.1.127.10.4.32
Context: *[hl7:observation[hl7:templateId[@root = '2.16.756.5.30.1.127.10.4.32'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.1.6']]]/hl7:observation[hl7:templateId[@root = '2.16.756.5.30.1.127.10.4.32'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.1.6']]/hl7:templateId[@root = '2.16.756.5.30.1.127.10.4.32']
Item: (Laborresultatlrtp)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '2.16.756.5.30.1.127.10.4.32'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.1.6']]]/hl7:observation[hl7:templateId[@root = '2.16.756.5.30.1.127.10.4.32'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.1.6']]/hl7:templateId[@root = '2.16.756.5.30.1.127.10.4.32']"
         id="d19e4768-false-d34306e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachlrtp-html-20180709T094947/tmp-2.16.756.5.30.1.127.10.4.32-2016-07-20T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Laborresultatlrtp): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachlrtp-html-20180709T094947/tmp-2.16.756.5.30.1.127.10.4.32-2016-07-20T000000.html"
              test="string(@root) = ('2.16.756.5.30.1.127.10.4.32')">(Laborresultatlrtp): The value for root SHALL be '2.16.756.5.30.1.127.10.4.32'. Found: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.756.5.30.1.127.10.4.32
Context: *[hl7:observation[hl7:templateId[@root = '2.16.756.5.30.1.127.10.4.32'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.1.6']]]/hl7:observation[hl7:templateId[@root = '2.16.756.5.30.1.127.10.4.32'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.1.6']]/hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.1.6']
Item: (Laborresultatlrtp)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '2.16.756.5.30.1.127.10.4.32'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.1.6']]]/hl7:observation[hl7:templateId[@root = '2.16.756.5.30.1.127.10.4.32'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.1.6']]/hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.1.6']"
         id="d19e4773-false-d34322e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachlrtp-html-20180709T094947/tmp-2.16.756.5.30.1.127.10.4.32-2016-07-20T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Laborresultatlrtp): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachlrtp-html-20180709T094947/tmp-2.16.756.5.30.1.127.10.4.32-2016-07-20T000000.html"
              test="string(@root) = ('1.3.6.1.4.1.19376.1.3.1.6')">(Laborresultatlrtp): The value for root SHALL be '1.3.6.1.4.1.19376.1.3.1.6'. Found: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.756.5.30.1.127.10.4.32
Context: *[hl7:observation[hl7:templateId[@root = '2.16.756.5.30.1.127.10.4.32'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.1.6']]]/hl7:observation[hl7:templateId[@root = '2.16.756.5.30.1.127.10.4.32'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.1.6']]/hl7:id
Item: (Laborresultatlrtp)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '2.16.756.5.30.1.127.10.4.32'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.1.6']]]/hl7:observation[hl7:templateId[@root = '2.16.756.5.30.1.127.10.4.32'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.1.6']]/hl7:id"
         id="d19e4778-false-d34337e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachlrtp-html-20180709T094947/tmp-2.16.756.5.30.1.127.10.4.32-2016-07-20T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Laborresultatlrtp): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.756.5.30.1.127.10.4.32
Context: *[hl7:observation[hl7:templateId[@root = '2.16.756.5.30.1.127.10.4.32'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.1.6']]]/hl7:observation[hl7:templateId[@root = '2.16.756.5.30.1.127.10.4.32'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.1.6']]/hl7:code[@codeSystem = doc('include/voc-2.16.756.5.30.1.129.1.1.3-DYNAMIC.xml')//valueSet[1]/completeCodeSystem/@codeSystem or @nullFlavor = doc('include/voc-2.16.756.5.30.1.129.1.1.3-DYNAMIC.xml')//valueSet[1]/conceptList/exception/@code or concat(@code, @codeSystem) = doc('include/voc-2.16.756.5.30.1.127.11.21-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem)]
Item: (Laborresultatlrtp)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '2.16.756.5.30.1.127.10.4.32'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.1.6']]]/hl7:observation[hl7:templateId[@root = '2.16.756.5.30.1.127.10.4.32'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.1.6']]/hl7:code[@codeSystem = doc('include/voc-2.16.756.5.30.1.129.1.1.3-DYNAMIC.xml')//valueSet[1]/completeCodeSystem/@codeSystem or @nullFlavor = doc('include/voc-2.16.756.5.30.1.129.1.1.3-DYNAMIC.xml')//valueSet[1]/conceptList/exception/@code or concat(@code, @codeSystem) = doc('include/voc-2.16.756.5.30.1.127.11.21-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem)]"
         id="d19e4785-false-d34353e0">
      <extends rule="CE"/>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachlrtp-html-20180709T094947/tmp-2.16.756.5.30.1.127.10.4.32-2016-07-20T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Laborresultatlrtp): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CE", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachlrtp-html-20180709T094947/tmp-2.16.756.5.30.1.127.10.4.32-2016-07-20T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.756.5.30.1.129.1.1.3-DYNAMIC.xml')//valueSet[1][completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]]) or exists(doc('include/voc-2.16.756.5.30.1.127.11.21-DYNAMIC.xml')//valueSet[1][conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]])">(Laborresultatlrtp): The element value SHALL be one of '2.16.756.5.30.1.129.1.1.3 Laborbeobachtungen (DYNAMIC) or 2.16.756.5.30.1.127.11.21 Laborwerte (DYNAMIC)'.</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-2.16.756.5.30.1.129.1.1.3-DYNAMIC.xml')//valueSet[1]/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachlrtp-html-20180709T094947/tmp-2.16.756.5.30.1.127.10.4.32-2016-07-20T000000.html"
              test="not(@nullFlavor) or $validNullFlavorsFound">(Laborresultatlrtp): The null value '<value-of select="@nullFlavor"/>' for @code SHALL be selected from the set of valid null flavors defined for this attribute or those associated with Value Set 2.16.756.5.30.1.129.1.1.3 Laborbeobachtungen (DYNAMIC) or 2.16.756.5.30.1.127.11.21 Laborwerte (DYNAMIC).</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.756.5.30.1.127.10.4.32
Context: *[hl7:observation[hl7:templateId[@root = '2.16.756.5.30.1.127.10.4.32'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.1.6']]]/hl7:observation[hl7:templateId[@root = '2.16.756.5.30.1.127.10.4.32'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.1.6']]/hl7:statusCode[@code = 'completed']
Item: (Laborresultatlrtp)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '2.16.756.5.30.1.127.10.4.32'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.1.6']]]/hl7:observation[hl7:templateId[@root = '2.16.756.5.30.1.127.10.4.32'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.1.6']]/hl7:statusCode[@code = 'completed']"
         id="d19e4806-false-d34387e0">
      <extends rule="CS"/>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachlrtp-html-20180709T094947/tmp-2.16.756.5.30.1.127.10.4.32-2016-07-20T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Laborresultatlrtp): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CS", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachlrtp-html-20180709T094947/tmp-2.16.756.5.30.1.127.10.4.32-2016-07-20T000000.html"
              test="@nullFlavor or (@code='completed')">(Laborresultatlrtp): The element value SHALL be one of 'code 'completed''.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.756.5.30.1.127.10.4.32
Context: *[hl7:observation[hl7:templateId[@root = '2.16.756.5.30.1.127.10.4.32'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.1.6']]]/hl7:observation[hl7:templateId[@root = '2.16.756.5.30.1.127.10.4.32'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.1.6']]/hl7:effectiveTime
Item: (Laborresultatlrtp)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '2.16.756.5.30.1.127.10.4.32'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.1.6']]]/hl7:observation[hl7:templateId[@root = '2.16.756.5.30.1.127.10.4.32'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.1.6']]/hl7:effectiveTime"
         id="d19e4814-false-d34404e0">
      <extends rule="TS.CH.TZ"/>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachlrtp-html-20180709T094947/tmp-2.16.756.5.30.1.127.10.4.32-2016-07-20T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Laborresultatlrtp): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:TS", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachlrtp-html-20180709T094947/tmp-2.16.756.5.30.1.127.10.4.32-2016-07-20T000000.html"
              test="not(*)">(Laborresultatlrtp): <value-of select="local-name()"/> with datatype TS.CH.TZ, SHOULD NOT have child elements.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.756.5.30.1.127.10.4.32
Context: *[hl7:observation[hl7:templateId[@root = '2.16.756.5.30.1.127.10.4.32'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.1.6']]]/hl7:observation[hl7:templateId[@root = '2.16.756.5.30.1.127.10.4.32'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.1.6']]/hl7:value[@xsi:type='PQ']
Item: (Laborresultatlrtp)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '2.16.756.5.30.1.127.10.4.32'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.1.6']]]/hl7:observation[hl7:templateId[@root = '2.16.756.5.30.1.127.10.4.32'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.1.6']]/hl7:value[@xsi:type='PQ']"
         id="d19e4833-false-d34416e0">
      <extends rule="PQ"/>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachlrtp-html-20180709T094947/tmp-2.16.756.5.30.1.127.10.4.32-2016-07-20T000000.html"
              test="not(@value) or matches(@value, '^[-+]?\d*\.?[0-9]+([eE][-+]?\d+)?$')">(Laborresultatlrtp): @value is not a valid PQ number <value-of select="@value"/>
      </assert>
      <let name="theUnit" value="@unit"/>
      <let name="UCUMtest"
           value="doc('include/voc-UCUM.xml')/*/ucum[@unit=$theUnit]/@message"/>
      <assert role="warning"
              see="http://ehealthsuisse.art-decor.org/cdachlrtp-html-20180709T094947/tmp-2.16.756.5.30.1.127.10.4.32-2016-07-20T000000.html"
              test="$UCUMtest='OK' or string-length($UCUMtest)=0">(Laborresultatlrtp): value/@unit (PQ) SHALL be a valid UCUM unit (<value-of select="$UCUMtest"/>).</assert>
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachlrtp-html-20180709T094947/tmp-2.16.756.5.30.1.127.10.4.32-2016-07-20T000000.html"
              test="@nullFlavor or ($xsiLocalName='PQ' and $xsiLocalNS='urn:hl7-org:v3')">(Laborresultatlrtp): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:PQ", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.756.5.30.1.127.10.4.32
Context: *[hl7:observation[hl7:templateId[@root = '2.16.756.5.30.1.127.10.4.32'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.1.6']]]/hl7:observation[hl7:templateId[@root = '2.16.756.5.30.1.127.10.4.32'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.1.6']]/hl7:value[@xsi:type='CD']
Item: (Laborresultatlrtp)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '2.16.756.5.30.1.127.10.4.32'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.1.6']]]/hl7:observation[hl7:templateId[@root = '2.16.756.5.30.1.127.10.4.32'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.1.6']]/hl7:value[@xsi:type='CD']"
         id="d19e4843-false-d34431e0">
      <extends rule="CD"/>
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachlrtp-html-20180709T094947/tmp-2.16.756.5.30.1.127.10.4.32-2016-07-20T000000.html"
              test="@nullFlavor or ($xsiLocalName='CD' and $xsiLocalNS='urn:hl7-org:v3')">(Laborresultatlrtp): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CD", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.756.5.30.1.127.10.4.32
Context: *[hl7:observation[hl7:templateId[@root = '2.16.756.5.30.1.127.10.4.32'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.1.6']]]/hl7:observation[hl7:templateId[@root = '2.16.756.5.30.1.127.10.4.32'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.1.6']]/hl7:value[@xsi:type='RTO']
Item: (Laborresultatlrtp)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '2.16.756.5.30.1.127.10.4.32'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.1.6']]]/hl7:observation[hl7:templateId[@root = '2.16.756.5.30.1.127.10.4.32'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.1.6']]/hl7:value[@xsi:type='RTO']"
         id="d19e4853-false-d34440e0">
      <extends rule="RTO"/>
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachlrtp-html-20180709T094947/tmp-2.16.756.5.30.1.127.10.4.32-2016-07-20T000000.html"
              test="@nullFlavor or ($xsiLocalName='RTO' and $xsiLocalNS='urn:hl7-org:v3')">(Laborresultatlrtp): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:RTO", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.756.5.30.1.127.10.4.32
Context: *[hl7:observation[hl7:templateId[@root = '2.16.756.5.30.1.127.10.4.32'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.1.6']]]/hl7:observation[hl7:templateId[@root = '2.16.756.5.30.1.127.10.4.32'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.1.6']]/hl7:value[@xsi:type='INT']
Item: (Laborresultatlrtp)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '2.16.756.5.30.1.127.10.4.32'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.1.6']]]/hl7:observation[hl7:templateId[@root = '2.16.756.5.30.1.127.10.4.32'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.1.6']]/hl7:value[@xsi:type='INT']"
         id="d19e4868-false-d34449e0">
      <extends rule="INT"/>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachlrtp-html-20180709T094947/tmp-2.16.756.5.30.1.127.10.4.32-2016-07-20T000000.html"
              test="not(@value) or matches(@value, '^-?[1-9]\d*$|^+?\d*$')">(Laborresultatlrtp): @value is not a valid INT number <value-of select="@value"/>
      </assert>
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachlrtp-html-20180709T094947/tmp-2.16.756.5.30.1.127.10.4.32-2016-07-20T000000.html"
              test="@nullFlavor or ($xsiLocalName='INT' and $xsiLocalNS='urn:hl7-org:v3')">(Laborresultatlrtp): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:INT", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.756.5.30.1.127.10.4.32
Context: *[hl7:observation[hl7:templateId[@root = '2.16.756.5.30.1.127.10.4.32'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.1.6']]]/hl7:observation[hl7:templateId[@root = '2.16.756.5.30.1.127.10.4.32'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.1.6']]/hl7:value[@xsi:type='ST']
Item: (Laborresultatlrtp)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '2.16.756.5.30.1.127.10.4.32'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.1.6']]]/hl7:observation[hl7:templateId[@root = '2.16.756.5.30.1.127.10.4.32'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.1.6']]/hl7:value[@xsi:type='ST']"
         id="d19e4879-false-d34461e0">
      <extends rule="ST"/>
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachlrtp-html-20180709T094947/tmp-2.16.756.5.30.1.127.10.4.32-2016-07-20T000000.html"
              test="@nullFlavor or ($xsiLocalName='ST' and $xsiLocalNS='urn:hl7-org:v3')">(Laborresultatlrtp): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:ST", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.756.5.30.1.127.10.4.32
Context: *[hl7:observation[hl7:templateId[@root = '2.16.756.5.30.1.127.10.4.32'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.1.6']]]/hl7:observation[hl7:templateId[@root = '2.16.756.5.30.1.127.10.4.32'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.1.6']]/hl7:interpretationCode[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.1.11.78-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]
Item: (Laborresultatlrtp)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '2.16.756.5.30.1.127.10.4.32'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.1.6']]]/hl7:observation[hl7:templateId[@root = '2.16.756.5.30.1.127.10.4.32'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.1.6']]/hl7:interpretationCode[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.1.11.78-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]"
         id="d19e4891-false-d34475e0">
      <extends rule="CE"/>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachlrtp-html-20180709T094947/tmp-2.16.756.5.30.1.127.10.4.32-2016-07-20T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Laborresultatlrtp): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CE", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachlrtp-html-20180709T094947/tmp-2.16.756.5.30.1.127.10.4.32-2016-07-20T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.1.11.78-DYNAMIC.xml')//valueSet[1][conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]])">(Laborresultatlrtp): The element value SHALL be one of '2.16.840.1.113883.1.11.78 ObservationInterpretation (DYNAMIC)'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.756.5.30.1.127.10.4.32
Context: *[hl7:observation[hl7:templateId[@root = '2.16.756.5.30.1.127.10.4.32'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.1.6']]]/hl7:observation[hl7:templateId[@root = '2.16.756.5.30.1.127.10.4.32'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.1.6']]/hl7:entryRelationship[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.10.20.1.40'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.2']]]
Item: (Laborresultatlrtp)
-->
   <rule context="*[hl7:observation[hl7:templateId[@root = '2.16.756.5.30.1.127.10.4.32'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.1.6']]]/hl7:observation[hl7:templateId[@root = '2.16.756.5.30.1.127.10.4.32'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.1.6']]/hl7:entryRelationship[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.10.20.1.40'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.2']]]">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachlrtp-html-20180709T094947/tmp-2.16.756.5.30.1.127.10.4.32-2016-07-20T000000.html"
              test="string(@typeCode) = ('SUBJ')">(Laborresultatlrtp): The value for typeCode SHALL be 'SUBJ'. Found: "<value-of select="@typeCode"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.756.5.30.1.127.10.4.32
Context: *[hl7:observation[hl7:templateId[@root = '2.16.756.5.30.1.127.10.4.32'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.1.6']]]/hl7:observation[hl7:templateId[@root = '2.16.756.5.30.1.127.10.4.32'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.1.6']]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '2.16.756.5.30.1.127.10.4.33'] and hl7:templateId[@root = '2.16.756.5.30.1.1.1.1.3.4.1'][@extension = 'CDA-CH.LRTP.SOASInfo']]]
Item: (Laborresultatlrtp)
-->
   <rule context="*[hl7:observation[hl7:templateId[@root = '2.16.756.5.30.1.127.10.4.32'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.1.6']]]/hl7:observation[hl7:templateId[@root = '2.16.756.5.30.1.127.10.4.32'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.1.6']]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '2.16.756.5.30.1.127.10.4.33'] and hl7:templateId[@root = '2.16.756.5.30.1.1.1.1.3.4.1'][@extension = 'CDA-CH.LRTP.SOASInfo']]]">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachlrtp-html-20180709T094947/tmp-2.16.756.5.30.1.127.10.4.32-2016-07-20T000000.html"
              test="string(@typeCode) = ('COMP')">(Laborresultatlrtp): The value for typeCode SHALL be 'COMP'. Found: "<value-of select="@typeCode"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.756.5.30.1.127.10.4.32
Context: *[hl7:observation[hl7:templateId[@root = '2.16.756.5.30.1.127.10.4.32'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.1.6']]]/hl7:observation[hl7:templateId[@root = '2.16.756.5.30.1.127.10.4.32'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.1.6']]/hl7:referenceRange[@typeCode = 'REFV'][hl7:observationRange[@classCode = 'OBS'][@moodCode = 'EVN.CRT']]
Item: (Laborresultatlrtp)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '2.16.756.5.30.1.127.10.4.32'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.1.6']]]/hl7:observation[hl7:templateId[@root = '2.16.756.5.30.1.127.10.4.32'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.1.6']]/hl7:referenceRange[@typeCode = 'REFV'][hl7:observationRange[@classCode = 'OBS'][@moodCode = 'EVN.CRT']]"
         id="d19e4918-false-d34535e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachlrtp-html-20180709T094947/tmp-2.16.756.5.30.1.127.10.4.32-2016-07-20T000000.html"
              test="string(@typeCode) = ('REFV')">(Laborresultatlrtp): The value for typeCode SHALL be 'REFV'. Found: "<value-of select="@typeCode"/>"</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachlrtp-html-20180709T094947/tmp-2.16.756.5.30.1.127.10.4.32-2016-07-20T000000.html"
              test="count(hl7:observationRange[hl7:interpretationCode[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.1.11.78-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem)]]) &gt;= 1">(Laborresultatlrtp): element hl7:observationRange[hl7:interpretationCode[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.1.11.78-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem)]] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachlrtp-html-20180709T094947/tmp-2.16.756.5.30.1.127.10.4.32-2016-07-20T000000.html"
              test="count(hl7:observationRange[hl7:interpretationCode[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.1.11.78-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem)]]) &lt;= 1">(Laborresultatlrtp): element hl7:observationRange[hl7:interpretationCode[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.1.11.78-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem)]] appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.756.5.30.1.127.10.4.32
Context: *[hl7:observation[hl7:templateId[@root = '2.16.756.5.30.1.127.10.4.32'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.1.6']]]/hl7:observation[hl7:templateId[@root = '2.16.756.5.30.1.127.10.4.32'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.1.6']]/hl7:referenceRange[@typeCode = 'REFV'][hl7:observationRange[@classCode = 'OBS'][@moodCode = 'EVN.CRT']]/hl7:observationRange[hl7:interpretationCode[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.1.11.78-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem)]]
Item: (Laborresultatlrtp)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '2.16.756.5.30.1.127.10.4.32'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.1.6']]]/hl7:observation[hl7:templateId[@root = '2.16.756.5.30.1.127.10.4.32'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.1.6']]/hl7:referenceRange[@typeCode = 'REFV'][hl7:observationRange[@classCode = 'OBS'][@moodCode = 'EVN.CRT']]/hl7:observationRange[hl7:interpretationCode[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.1.11.78-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem)]]"
         id="d19e4961-false-d34562e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachlrtp-html-20180709T094947/tmp-2.16.756.5.30.1.127.10.4.32-2016-07-20T000000.html"
              test="string(@classCode) = ('OBS')">(Laborresultatlrtp): The value for classCode SHALL be 'OBS'. Found: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachlrtp-html-20180709T094947/tmp-2.16.756.5.30.1.127.10.4.32-2016-07-20T000000.html"
              test="string(@moodCode) = ('EVN.CRT')">(Laborresultatlrtp): The value for moodCode SHALL be 'EVN.CRT'. Found: "<value-of select="@moodCode"/>"</assert>
      <let name="elmcount"
           value="count(hl7:value[@xsi:type='IVL_PQ'] | hl7:value[@xsi:type='IVL_INT'])"/>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachlrtp-html-20180709T094947/tmp-2.16.756.5.30.1.127.10.4.32-2016-07-20T000000.html"
              test="$elmcount &lt;= 1">(Laborresultatlrtp): choice (hl7:value[@xsi:type='IVL_PQ']  or  hl7:value[@xsi:type='IVL_INT']) contains too many elements [max 1x]</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachlrtp-html-20180709T094947/tmp-2.16.756.5.30.1.127.10.4.32-2016-07-20T000000.html"
              test="count(hl7:value[@xsi:type='IVL_PQ']) &lt;= 1">(Laborresultatlrtp): element hl7:value[@xsi:type='IVL_PQ'] appears too often [max 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachlrtp-html-20180709T094947/tmp-2.16.756.5.30.1.127.10.4.32-2016-07-20T000000.html"
              test="count(hl7:value[@xsi:type='IVL_INT']) &lt;= 1">(Laborresultatlrtp): element hl7:value[@xsi:type='IVL_INT'] appears too often [max 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachlrtp-html-20180709T094947/tmp-2.16.756.5.30.1.127.10.4.32-2016-07-20T000000.html"
              test="count(hl7:interpretationCode[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.1.11.78-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem)]) &gt;= 1">(Laborresultatlrtp): element hl7:interpretationCode[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.1.11.78-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem)] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachlrtp-html-20180709T094947/tmp-2.16.756.5.30.1.127.10.4.32-2016-07-20T000000.html"
              test="count(hl7:interpretationCode[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.1.11.78-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem)]) &lt;= 1">(Laborresultatlrtp): element hl7:interpretationCode[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.1.11.78-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem)] appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.756.5.30.1.127.10.4.32
Context: *[hl7:observation[hl7:templateId[@root = '2.16.756.5.30.1.127.10.4.32'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.1.6']]]/hl7:observation[hl7:templateId[@root = '2.16.756.5.30.1.127.10.4.32'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.1.6']]/hl7:referenceRange[@typeCode = 'REFV'][hl7:observationRange[@classCode = 'OBS'][@moodCode = 'EVN.CRT']]/hl7:observationRange[hl7:interpretationCode[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.1.11.78-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem)]]/hl7:value[@xsi:type='IVL_PQ']
Item: (Laborresultatlrtp)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '2.16.756.5.30.1.127.10.4.32'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.1.6']]]/hl7:observation[hl7:templateId[@root = '2.16.756.5.30.1.127.10.4.32'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.1.6']]/hl7:referenceRange[@typeCode = 'REFV'][hl7:observationRange[@classCode = 'OBS'][@moodCode = 'EVN.CRT']]/hl7:observationRange[hl7:interpretationCode[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.1.11.78-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem)]]/hl7:value[@xsi:type='IVL_PQ']"
         id="d19e4969-false-d34606e0">
      <extends rule="IVL_PQ"/>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachlrtp-html-20180709T094947/tmp-2.16.756.5.30.1.127.10.4.32-2016-07-20T000000.html"
              test="not(hl7:low/@value) or matches(string(hl7:low/@value), '^[-+]?\d*\.?[0-9]+([eE][-+]?\d+)?$')">(Laborresultatlrtp): value/low @value is not a valid PQ number<value-of select="hl7:low/@value"/>
      </assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachlrtp-html-20180709T094947/tmp-2.16.756.5.30.1.127.10.4.32-2016-07-20T000000.html"
              test="not(hl7:high/@value) or matches(string(hl7:high/@value), '^[-+]?\d*\.?[0-9]+([eE][-+]?\d+)?$')">(Laborresultatlrtp): value/high @value is not a valid PQ number<value-of select="hl7:high/@value"/>
      </assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachlrtp-html-20180709T094947/tmp-2.16.756.5.30.1.127.10.4.32-2016-07-20T000000.html"
              test="not(hl7:center/@value) or matches(string(hl7:center/@value), '^[-+]?\d*\.?[0-9]+([eE][-+]?\d+)?$')">(Laborresultatlrtp): value/center @value is not a valid PQ number<value-of select="hl7:center/@value"/>
      </assert>
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachlrtp-html-20180709T094947/tmp-2.16.756.5.30.1.127.10.4.32-2016-07-20T000000.html"
              test="@nullFlavor or ($xsiLocalName='IVL_PQ' and $xsiLocalNS='urn:hl7-org:v3')">(Laborresultatlrtp): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:IVL_PQ", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachlrtp-html-20180709T094947/tmp-2.16.756.5.30.1.127.10.4.32-2016-07-20T000000.html"
              test="count(hl7:low) &gt;= 1">(Laborresultatlrtp): element hl7:low is required [min 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachlrtp-html-20180709T094947/tmp-2.16.756.5.30.1.127.10.4.32-2016-07-20T000000.html"
              test="count(hl7:low) &lt;= 1">(Laborresultatlrtp): element hl7:low appears too often [max 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachlrtp-html-20180709T094947/tmp-2.16.756.5.30.1.127.10.4.32-2016-07-20T000000.html"
              test="count(hl7:high) &gt;= 1">(Laborresultatlrtp): element hl7:high is required [min 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachlrtp-html-20180709T094947/tmp-2.16.756.5.30.1.127.10.4.32-2016-07-20T000000.html"
              test="count(hl7:high) &lt;= 1">(Laborresultatlrtp): element hl7:high appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.756.5.30.1.127.10.4.32
Context: *[hl7:observation[hl7:templateId[@root = '2.16.756.5.30.1.127.10.4.32'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.1.6']]]/hl7:observation[hl7:templateId[@root = '2.16.756.5.30.1.127.10.4.32'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.1.6']]/hl7:referenceRange[@typeCode = 'REFV'][hl7:observationRange[@classCode = 'OBS'][@moodCode = 'EVN.CRT']]/hl7:observationRange[hl7:interpretationCode[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.1.11.78-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem)]]/hl7:value[@xsi:type='IVL_PQ']/hl7:low
Item: (Laborresultatlrtp)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '2.16.756.5.30.1.127.10.4.32'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.1.6']]]/hl7:observation[hl7:templateId[@root = '2.16.756.5.30.1.127.10.4.32'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.1.6']]/hl7:referenceRange[@typeCode = 'REFV'][hl7:observationRange[@classCode = 'OBS'][@moodCode = 'EVN.CRT']]/hl7:observationRange[hl7:interpretationCode[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.1.11.78-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem)]]/hl7:value[@xsi:type='IVL_PQ']/hl7:low"
         id="d19e4976-false-d34646e0">
      <extends rule="IVXB_PQ"/>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachlrtp-html-20180709T094947/tmp-2.16.756.5.30.1.127.10.4.32-2016-07-20T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='IVXB_PQ' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Laborresultatlrtp): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:IVXB_PQ", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.756.5.30.1.127.10.4.32
Context: *[hl7:observation[hl7:templateId[@root = '2.16.756.5.30.1.127.10.4.32'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.1.6']]]/hl7:observation[hl7:templateId[@root = '2.16.756.5.30.1.127.10.4.32'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.1.6']]/hl7:referenceRange[@typeCode = 'REFV'][hl7:observationRange[@classCode = 'OBS'][@moodCode = 'EVN.CRT']]/hl7:observationRange[hl7:interpretationCode[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.1.11.78-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem)]]/hl7:value[@xsi:type='IVL_PQ']/hl7:high
Item: (Laborresultatlrtp)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '2.16.756.5.30.1.127.10.4.32'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.1.6']]]/hl7:observation[hl7:templateId[@root = '2.16.756.5.30.1.127.10.4.32'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.1.6']]/hl7:referenceRange[@typeCode = 'REFV'][hl7:observationRange[@classCode = 'OBS'][@moodCode = 'EVN.CRT']]/hl7:observationRange[hl7:interpretationCode[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.1.11.78-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem)]]/hl7:value[@xsi:type='IVL_PQ']/hl7:high"
         id="d19e4982-false-d34657e0">
      <extends rule="IVXB_PQ"/>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachlrtp-html-20180709T094947/tmp-2.16.756.5.30.1.127.10.4.32-2016-07-20T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='IVXB_PQ' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Laborresultatlrtp): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:IVXB_PQ", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.756.5.30.1.127.10.4.32
Context: *[hl7:observation[hl7:templateId[@root = '2.16.756.5.30.1.127.10.4.32'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.1.6']]]/hl7:observation[hl7:templateId[@root = '2.16.756.5.30.1.127.10.4.32'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.1.6']]/hl7:referenceRange[@typeCode = 'REFV'][hl7:observationRange[@classCode = 'OBS'][@moodCode = 'EVN.CRT']]/hl7:observationRange[hl7:interpretationCode[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.1.11.78-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem)]]/hl7:value[@xsi:type='IVL_INT']
Item: (Laborresultatlrtp)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '2.16.756.5.30.1.127.10.4.32'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.1.6']]]/hl7:observation[hl7:templateId[@root = '2.16.756.5.30.1.127.10.4.32'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.1.6']]/hl7:referenceRange[@typeCode = 'REFV'][hl7:observationRange[@classCode = 'OBS'][@moodCode = 'EVN.CRT']]/hl7:observationRange[hl7:interpretationCode[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.1.11.78-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem)]]/hl7:value[@xsi:type='IVL_INT']"
         id="d19e4989-false-d34666e0">
      <extends rule="IVL_INT"/>
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachlrtp-html-20180709T094947/tmp-2.16.756.5.30.1.127.10.4.32-2016-07-20T000000.html"
              test="@nullFlavor or ($xsiLocalName='IVL_INT' and $xsiLocalNS='urn:hl7-org:v3')">(Laborresultatlrtp): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:IVL_INT", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachlrtp-html-20180709T094947/tmp-2.16.756.5.30.1.127.10.4.32-2016-07-20T000000.html"
              test="count(hl7:low) &gt;= 1">(Laborresultatlrtp): element hl7:low is required [min 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachlrtp-html-20180709T094947/tmp-2.16.756.5.30.1.127.10.4.32-2016-07-20T000000.html"
              test="count(hl7:low) &lt;= 1">(Laborresultatlrtp): element hl7:low appears too often [max 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachlrtp-html-20180709T094947/tmp-2.16.756.5.30.1.127.10.4.32-2016-07-20T000000.html"
              test="count(hl7:high) &gt;= 1">(Laborresultatlrtp): element hl7:high is required [min 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachlrtp-html-20180709T094947/tmp-2.16.756.5.30.1.127.10.4.32-2016-07-20T000000.html"
              test="count(hl7:high) &lt;= 1">(Laborresultatlrtp): element hl7:high appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.756.5.30.1.127.10.4.32
Context: *[hl7:observation[hl7:templateId[@root = '2.16.756.5.30.1.127.10.4.32'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.1.6']]]/hl7:observation[hl7:templateId[@root = '2.16.756.5.30.1.127.10.4.32'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.1.6']]/hl7:referenceRange[@typeCode = 'REFV'][hl7:observationRange[@classCode = 'OBS'][@moodCode = 'EVN.CRT']]/hl7:observationRange[hl7:interpretationCode[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.1.11.78-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem)]]/hl7:value[@xsi:type='IVL_INT']/hl7:low
Item: (Laborresultatlrtp)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '2.16.756.5.30.1.127.10.4.32'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.1.6']]]/hl7:observation[hl7:templateId[@root = '2.16.756.5.30.1.127.10.4.32'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.1.6']]/hl7:referenceRange[@typeCode = 'REFV'][hl7:observationRange[@classCode = 'OBS'][@moodCode = 'EVN.CRT']]/hl7:observationRange[hl7:interpretationCode[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.1.11.78-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem)]]/hl7:value[@xsi:type='IVL_INT']/hl7:low"
         id="d19e4996-false-d34697e0">
      <extends rule="IVXB_INT"/>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachlrtp-html-20180709T094947/tmp-2.16.756.5.30.1.127.10.4.32-2016-07-20T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='IVXB_INT' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Laborresultatlrtp): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:IVXB_INT", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.756.5.30.1.127.10.4.32
Context: *[hl7:observation[hl7:templateId[@root = '2.16.756.5.30.1.127.10.4.32'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.1.6']]]/hl7:observation[hl7:templateId[@root = '2.16.756.5.30.1.127.10.4.32'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.1.6']]/hl7:referenceRange[@typeCode = 'REFV'][hl7:observationRange[@classCode = 'OBS'][@moodCode = 'EVN.CRT']]/hl7:observationRange[hl7:interpretationCode[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.1.11.78-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem)]]/hl7:value[@xsi:type='IVL_INT']/hl7:high
Item: (Laborresultatlrtp)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '2.16.756.5.30.1.127.10.4.32'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.1.6']]]/hl7:observation[hl7:templateId[@root = '2.16.756.5.30.1.127.10.4.32'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.1.6']]/hl7:referenceRange[@typeCode = 'REFV'][hl7:observationRange[@classCode = 'OBS'][@moodCode = 'EVN.CRT']]/hl7:observationRange[hl7:interpretationCode[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.1.11.78-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem)]]/hl7:value[@xsi:type='IVL_INT']/hl7:high"
         id="d19e5002-false-d34708e0">
      <extends rule="IVXB_INT"/>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachlrtp-html-20180709T094947/tmp-2.16.756.5.30.1.127.10.4.32-2016-07-20T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='IVXB_INT' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Laborresultatlrtp): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:IVXB_INT", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.756.5.30.1.127.10.4.32
Context: *[hl7:observation[hl7:templateId[@root = '2.16.756.5.30.1.127.10.4.32'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.1.6']]]/hl7:observation[hl7:templateId[@root = '2.16.756.5.30.1.127.10.4.32'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.1.6']]/hl7:referenceRange[@typeCode = 'REFV'][hl7:observationRange[@classCode = 'OBS'][@moodCode = 'EVN.CRT']]/hl7:observationRange[hl7:interpretationCode[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.1.11.78-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem)]]/hl7:interpretationCode[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.1.11.78-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem)]
Item: (Laborresultatlrtp)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '2.16.756.5.30.1.127.10.4.32'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.1.6']]]/hl7:observation[hl7:templateId[@root = '2.16.756.5.30.1.127.10.4.32'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.1.6']]/hl7:referenceRange[@typeCode = 'REFV'][hl7:observationRange[@classCode = 'OBS'][@moodCode = 'EVN.CRT']]/hl7:observationRange[hl7:interpretationCode[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.1.11.78-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem)]]/hl7:interpretationCode[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.1.11.78-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem)]"
         id="d19e5010-false-d34722e0">
      <extends rule="CE"/>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachlrtp-html-20180709T094947/tmp-2.16.756.5.30.1.127.10.4.32-2016-07-20T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Laborresultatlrtp): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CE", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachlrtp-html-20180709T094947/tmp-2.16.756.5.30.1.127.10.4.32-2016-07-20T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.1.11.78-DYNAMIC.xml')//valueSet[1][conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]])">(Laborresultatlrtp): The element value SHALL be one of '2.16.840.1.113883.1.11.78 ObservationInterpretation (DYNAMIC)'.</assert>
   </rule>
</pattern>
